%define module_name	fuse
%define module_version	2.3.0
%define module_release	alt0.M24.2

%define kversion	2.4.26
%define krelease	alt13
%define flavour	std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')


%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	%module_name modules
Name:	kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://sourceforge.net/projects/fuse
BuildPreReq: kernel-build-tools >= 0.7
BuildRequires:	modutils
#BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq: modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
FUSE (Filesystem in USErspace), an excellent tool
for creating custom filesystems with minimal effort.

%prep

%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%configure --with-kernel=%_usrsrc/linux-%kversion-%flavour
%make_build

%install

%make_install fusemoduledir=%module_dir/fs/ DESTDIR=%buildroot install
#%__mkdir_p %buildroot%module_dir/fs
#%__cp drbd/drbd.o %buildroot%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Mon Nov 21 2005 Alexey Borovskoy <alb@altlinux.ru> 2.3.0-alt0.M24.2
- Rebuild for kernel 2.4.26-alt13.

* Mon Jul 04 2005 Alexey Borovskoy <alb@altlinux.ru> 2.3.0-alt0.M24.1
- Updated to fuse 2.3.0

* Sun May 29 2005 Alexey Borovskoy <alb@altlinux.ru> 2.2.1-alt0.M24.4
- Rebuild for kernel 2.4.26-alt12

* Mon Apr 11 2005 Alexey Borovskoy <alb@altlinux.ru> 2.2.1-alt0.M24.3
- Rebuild for kernel 2.4.26-alt11

* Tue Mar 22 2005 Alexey Borovskoy <alb@altlinux.ru> 2.2.1-alt0.M24.2
- Rebuild for kernel 2.4.26-alt10

* Sat Mar 19 2005 Alexey Borovskoy <alb@altlinux.ru> 2.2.1-alt0.M24.1
- Updated to fuse 2.2.1

* Mon Feb 28 2005 Alexey Borovskoy <alb@altlinux.ru> 2.2-alt0.M24.1
- Backport to Master 2.4

* Sun Feb 06 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt2.3
- Updated to FUSE 2.2

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2.1-alt2.3
- Rebuild for kernel 2.4.28.

* Mon Dec 06 2004 Denis Smirnov <mithraen@altlinux.ru> 2.1-alt1.3
- Updated to FUSE 2.1

* Sun Nov 07 2004 Denis Smirnov <mithraen@altlinux.ru> 1.9-alt5.3
- Updated to FUSE 1.9

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 1.1-alt4.3
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.1-alt3.3
- Added:
  + kernel-source-fuse-1.1-ppos.patch: CAN-2004-0415

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.1-alt2.3
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Tue May 18 2004 Anton Farygin <rider@altlinux.ru> 1.1-alt1.3
- 1.1, fixed install and build sections for kernel 2.4 and 2.6

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt6.3
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt5.3
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt4.3
- Fixed compiler version selection.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt3.3
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt2.3
- Renamed to kernel-modules-FUSE.
- Fixed installed module location.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Wed Nov 05 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt1.3
- Imported to kernel CVS.

* Sun Nov 02 2003 Alexander Nekrasov <canis@altlinux.ru> 1.0-alt1
- first build
